## kamailio 5.8.2

=== src/modules/db_text/Makefile ===
#
# example module makefile
#
#
# WARNING: do not run this directly, it should be run by the main Makefile

# extra debug messages
DEFS+=-DDBT_EXTRA_DEBUG

include ../../Makefile.defs
auto_gen=
NAME=db_text.so
LIBS=

SERLIBPATH=../../lib
SER_LIBS+=$(SERLIBPATH)/srdb1/srdb1
include ../../Makefile.modules

ifeq ($(INSTALL_FLAVOUR),kamailio)
# extra install for kamailio

install-dbtext-scripts: $(bin_prefix)/$(bin_dir)
		DBTEXTON=yes $(MAKE) -C ../../../utils/kamctl/ install-modules

install-scripts: install-dbtext-scripts

endif # INSTALL_FLAVOUR

=== src/modules/ims_isc/Makefile ===
#
# ims_isc make file
#
#

include ../../Makefile.defs
auto_gen=
NAME=ims_isc.so

ifeq ($(CROSS_COMPILE),)
XML2CFG=$(shell which xml2-config)
ifeq ($(XML2CFG),)
XML2CFG=$(shell \
	if pkg-config --exists libxml-2.0; then \
		echo 'pkg-config libxml-2.0'; \
	fi)
endif
endif

ifneq ($(XML2CFG),)
	DEFS += $(shell $(XML2CFG) --cflags )
	LIBS += $(shell $(XML2CFG) --libs)
else
	DEFS+=-I$(LOCALBASE)/include/libxml2 \
		-I$(LOCALBASE)/include
	LIBS+=-L$(LOCALBASE)/lib -lxml2
endif

SERLIBPATH=../../lib
SER_LIBS+=$(SERLIBPATH)/ims/kamailio_ims

include ../../Makefile.modules

=== src/modules/sqlops/Makefile ===
#
# sqlops module makefile
#
#
# WARNING: do not run this directly, it should be run by the main Makefile

include ../../Makefile.defs
auto_gen=
NAME=sqlops.so
LIBS=

SERLIBPATH=../../lib
SER_LIBS+=$(SERLIBPATH)/srdb1/srdb1
include ../../Makefile.modules

=== debian/changelog ===
kamailio (5.8.2-3build1) oracular; urgency=medium

  * No-change upload to add ruby3.3 as the default.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 15 Aug 2024 22:59:44 -0300

kamailio (5.8.2-3) unstable; urgency=medium

  * fix build on s390x and ppc64 (Closes: #1075961)

 -- Victor Seva <vseva@debian.org>  Thu, 18 Jul 2024 17:46:16 +0200

kamailio (5.8.2-2) unstable; urgency=medium

  * fix group modules with names with '_'
  * fix tls_wolfssl package

 -- Victor Seva <vseva@debian.org>  Thu, 13 Jun 2024 17:30:17 +0200

kamailio (5.8.2-1) unstable; urgency=medium

  * New upstream version 5.8.2

 -- Victor Seva <vseva@debian.org>  Thu, 13 Jun 2024 14:28:41 +0200

kamailio (5.8.1-1) unstable; urgency=medium

  * add missing http_async to kamailio-extra-modules
  * New upstream version 5.8.1
  * add wolftls and microhttpd modules
  * remove already merged patches from upstream

 -- Victor Seva <vseva@debian.org>  Thu, 16 May 2024 14:45:50 +0200

=== debian/control ===
Source: kamailio
Section: net
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders:
 Victor Seva <vseva@debian.org>,
Build-Depends:
 bison,
 debhelper-compat (= 13),
 default-libmysqlclient-dev,
 docbook-xml,
 erlang-dev,
 flex,
 libcurl4-openssl-dev,
 libdb-dev,
 libev-dev,
 libevent-dev,
 libexpat1-dev,
 libgeoip-dev,
 libhiredis-dev,
 libjansson-dev,
 libjson-c-dev,
 libldap2-dev,
 liblua5.1-0-dev,
 libmaxminddb-dev,
 libmemcached-dev,
 libmicrohttpd-dev,
 libmnl-dev,
 libmongoc-dev,
 libmono-2.0-dev [amd64 armel armhf i386 mipsel kfreebsd-amd64 kfreebsd-i386 ppc64 ppc64el s390x],
 libmosquitto-dev,
 libnats-dev,
 libncurses-dev,
 libpcre2-dev,
 libperl-dev,
 libphonenumber-dev,
 libpq-dev,
 librabbitmq-dev,
 libradcli-dev,
 libreadline-dev,
 libsasl2-dev,
 libsctp-dev [linux-any],
 libsecsipid-dev [amd64 arm64 armel armhf hurd-i386 i386 powerpc ppc64 ppc64el riscv64 s390x],
 libsnmp-dev,
 libsqlite3-dev,
 libssl-dev,
 libsystemd-dev,
 libunistring-dev,
 libwebsockets-dev,
 libwolfssl-dev,
 libxml2-dev,
 openssl,
 pkg-config,
 python3,
 python3-dev,
 ruby-dev,
 unixodbc-dev,
 uuid-dev,
 xsltproc,
 zlib1g-dev,
Standards-Version: 4.6.0.1
Homepage: http://www.kamailio.org/
Vcs-Git: https://salsa.debian.org/pkg-voip-team/kamailio.git
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/kamailio/
Rules-Requires-Root: no

Package: kamailio
Architecture: any
Multi-Arch: foreign
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 python3,
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 kamailio-carrierroute-modules,
Suggests:
 kamailio-berkeley-modules,
 kamailio-cpl-modules,
 kamailio-ldap-modules,
 kamailio-lua-modules,
 kamailio-mono-modules,
 kamailio-mysql-modules,
 kamailio-perl-modules,
 kamailio-postgres-modules,
 kamailio-presence-modules,
 kamailio-python3-modules,
 kamailio-radius-modules,
 kamailio-redis-modules,
 kamailio-snmpstats-modules,
 kamailio-tls-modules,
 kamailio-unixodbc-modules,
 kamailio-xml-modules,
 kamailio-xmpp-modules,
 stun-server | turn-server,
Provides:
 sip-router,
Description: very fast, dynamic and configurable SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, kamailio can handle thousands requests
 per second even on low-budget hardware. It can be configured to act
 as a SIP proxy, application server, session border controller,
 or call load balancer to handle a set of media servers.
 .
 A C Shell like scripting language provides full control over the server's
 behaviour. It's easy to integrate Kamailio with 3rd party API's and
 applications using HTTP, AMQP, database drivers, LDAP, Radius and many other
 solutions. In addition there is support for scripting using Lua, Python, Perl,
 Java and a set of other languages using Mono.
 .
 Kamailio's modular architecture allows only required functionality to be
 loaded. There are over 100 modules available: WebSockets for WebRTC,
 authentication, multiple databases - both traditional SQL databases as well as
 no-SQL, message bus systems like Rabbit MQ, instant messaging, a presence
 agent, integration with REST-ful APIs using HTTP and JSON or XML, radius
 authentication, record routing, an SMS gateway, a XMPP/jabber gateway, a
 transaction and dialog module, OSP module, statistics support,
 registrar and user location services, SNMP, SIMPLE Presence and much more.
 .
 This package contains the main Kamailio binary along with the principal
 modules and support binaries.

Package: kamailio-geoip-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: geoip module for the Kamailio SIP Server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the geoip module, an extension enabling
 usage of the GeoIP API within the Kamailio configuration file.

Package: kamailio-geoip2-modules
Architecture: linux-any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: geoip2 module for the Kamailio SIP Server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the geoip2 module, an extension enabling
 real-time queries against the Max Mind GeoIP2 database within the Kamailio
 configuration file.

Package: kamailio-sqlite-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 sqlite3,
Description: SQLite database connectivity module for the Kamailio SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the SQLite database driver for Kamailio.

Package: kamailio-json-modules
Architecture: linux-any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Json parser and Json-RPC modules for the Kamailio SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides a JSON parser for use in the Kamailio
 configuration file and the JSON-RPC client over netstrings.

Package: kamailio-memcached-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 kamailio-memcached-module,
Description: interface to the memcached server, for the Kamailio SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the memcached module, an interface to the memcached
 server, a high-performance, distributed memory object caching system.

Package: kamailio-lua-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: app_lua module for Kamailio Lua support
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the app_lua module, an extension allowing to
 execute embedded Lua applications within the configuration file as
 well as writing the entire configuration file in Lua.

Package: kamailio-mono-modules
Architecture: amd64 armel i386 mipsel powerpc powerpcspe ppc64 s390x
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: app_mono module for the Kamailio SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the app_mono module, an extension allowing to
 execute embedded Mono applications within the Kamailio SIP routing script.

Package: kamailio-python3-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: app_python3 module for the Kamailio SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the app_python3 module, an extension allowing to
 execute embedded Python applications within the Kamailio SIP routing script.

Package: kamailio-ruby-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: app_ruby module for Kamailio Ruby support
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the app_ruby module, an extension allowing to
 execute embedded Ruby applications within the Kamailio SIP routing script.

Package: kamailio-redis-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Redis database connectivity module for the Kamailio SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the Redis NOSQL database driver for Kamailio.

Package: kamailio-mysql-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 default-mysql-client | virtual-mysql-client,
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: MySQL database connectivity module for Kamailio
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the MySQL database driver for Kamailio.

Package: kamailio-postgres-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 postgresql-client,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL database connectivity module for the Kamailio SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the PostgreSQL database driver for Kamailio.

Package: kamailio-cpl-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: CPL module (CPL interpreter engine) for the Kamailio SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides a CPL (Call Processing Language) interpreter for
 Kamailio, turning Kamailio into a CPL server (storage and interpreter).

Package: kamailio-radius-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: RADIUS modules for the Kamailio SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides a set of RADIUS modules for Kamailio, for
 authentication, peering, group membership and messages URIs checking against a
 RADIUS server.

Package: kamailio-unixodbc-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: unixODBC database connectivity module for the Kamailio SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the unixODBC database driver for Kamailio.

Package: kamailio-presence-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: SIP presence modules for Kamailio

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

# Enable parallel builds.
NUMJOBS = 1
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  MAKEFLAGS += -j$(NUMJOBS)
endif

# Modules not in the "main" kamailio package:
EXCLUDED_MODULES =

# Extra modules to skip, because they are not compilable now:
# - regardless if they go to the main kamailio package or to some module
#   package, they will be excluded from compile and install of all.
EXTRA_EXCLUDED_MODULES += bdb
EXTRA_EXCLUDED_MODULES += dbtext
EXTRA_EXCLUDED_MODULES += dnssec
EXTRA_EXCLUDED_MODULES += iptrtpproxy
EXTRA_EXCLUDED_MODULES += java
EXTRA_EXCLUDED_MODULES += mi_xmlrpc
EXTRA_EXCLUDED_MODULES += oracle
EXTRA_EXCLUDED_MODULES += pa
EXTRA_EXCLUDED_MODULES += purple

# Module groups that are packaged in seperate packages (with the name
# kamailio-$(group_name)-modules).
# Note: the order is important (should be in dependency order, the one
# on which other depend first)
PACKAGE_GROUPS += mysql
PACKAGE_GROUPS += postgres
PACKAGE_GROUPS += berkeley
PACKAGE_GROUPS += unixodbc
PACKAGE_GROUPS += radius
PACKAGE_GROUPS += presence
PACKAGE_GROUPS += ldap
PACKAGE_GROUPS += xml
PACKAGE_GROUPS += perl
PACKAGE_GROUPS += utils
PACKAGE_GROUPS += lua
PACKAGE_GROUPS += memcached
PACKAGE_GROUPS += carrierroute
PACKAGE_GROUPS += snmpstats
PACKAGE_GROUPS += xmpp
PACKAGE_GROUPS += cpl
PACKAGE_GROUPS += redis
PACKAGE_GROUPS += geoip
PACKAGE_GROUPS += geoip2
PACKAGE_GROUPS += sqlite
PACKAGE_GROUPS += ruby
PACKAGE_GROUPS += ims
PACKAGE_GROUPS += sctp
PACKAGE_GROUPS += tls
PACKAGE_GROUPS += outbound
PACKAGE_GROUPS += websocket
PACKAGE_GROUPS += autheph
PACKAGE_GROUPS += cnxcc
PACKAGE_GROUPS += erlang
PACKAGE_GROUPS += systemd
PACKAGE_GROUPS += phonenum
PACKAGE_GROUPS += mongodb
PACKAGE_GROUPS += rabbitmq
PACKAGE_GROUPS += python3
PACKAGE_GROUPS += mqtt
PACKAGE_GROUPS += lwsc
PACKAGE_GROUPS += nats
PACKAGE_GROUPS += tls_wolfssl
PACKAGE_GROUPS += microhttpd

# Module groups to be packaged onto kamailio-extra-modules.
EXTRA_GROUPS += ev
EXTRA_GROUPS += gzcompress
EXTRA_GROUPS += jansson
EXTRA_GROUPS += uuid
EXTRA_GROUPS += http_async

# Mono not on all arches
ifneq ("$(wildcard /usr/share/mono/mono-archs.make)","")
PACKAGE_GROUPS += mono
else
EXCLUDED_MODULES += mono
endif

# libsecsipid not on all arches
ifneq ("$(wildcard /usr/share/doc/libsecsipid-dev/copyright)","")
PACKAGE_GROUPS += secsipid
else
EXCLUDED_MODULES += secsipid
endif

# FTBFS on kfreebsd
LINUX_MODULES += json
LINUX_MODULES += kazoo
ifeq ($(DEB_HOST_ARCH_OS),linux)
PACKAGE_GROUPS += $(LINUX_MODULES)
else
EXCLUDED_MODULES += $(LINUX_MODULES)
endif

# select radius lib
ifeq ($(shell [ -f /usr/include/radcli/radcli.h ] && echo 1 || echo 0),1)
export RADCLI = 1
else
export FREERADIUS = 1
endif

export WOLFSSL_INTERNAL=no

# FTBFS on powerpcspe because of AltiVec assumption #729635.
ifeq ($(DEB_HOST_ARCH),powerpcspe)
export NOALTIVEC = 1
endif

D = $(CURDIR)/debian/$(DEB_SOURCE)

# Name of libdir in the path for libraries (e.g., the multiarch triplet).
export LIBDIR ?= lib/$(DEB_HOST_MULTIARCH)

# Directories with possible duplicate libraries (that should be deleted
# from current module* packages).
DUP_LIBS_DIRS = $(D)/usr/$(LIBDIR)/kamailio

# CFLAGS + CPPFLAGS -> CC_EXTRA_OPTS
CC_EXTRA_OPTS := $(shell dpkg-buildflags --get CPPFLAGS)
CC_EXTRA_OPTS += $(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
# LDFLAGS -> LD_EXTRA_OPTS
LD_EXTRA_OPTS := $(shell dpkg-buildflags --get LDFLAGS)

# https://wiki.debian.org/ReproducibleBuilds/
CC_EXTRA_OPTS += -DVERSION_NODATE

BUILD_MODULES   := $(addprefix build_,   $(PACKAGE_GROUPS) $(EXTRA_GROUPS))
INSTALL_MODULES := $(addprefix install_, $(PACKAGE_GROUPS))
INSTALL_EXTRA   := $(addprefix install_, $(EXTRA_GROUPS))

.PHONY: $(BUILD_MODULES) $(INSTALL_MODULES) $(INSTALL_EXTRA)
test_build_all-stamp: configure-stamp
	$(MAKE) all quiet=verbose
	touch test_build_all-stamp

$(BUILD_MODULES): test_build_all-stamp
	$(MAKE) every-module group_include="k$(subst build_,,$@)" quiet=verbose

test_install_all-stamp: test_build_all-stamp
	$(MAKE) install quiet=verbose LIBDIR=$(LIBDIR) group_include="kstandard"
	touch test_install_all-stamp

# tls_wolfssl => tls-wolfssl
$(INSTALL_MODULES): module = $(subst _,-,$(subst install_,,$@))
$(INSTALL_MODULES): grp = $(subst install_,,$@)
$(INSTALL_MODULES): test_install_all-stamp
	$(MAKE) install-modules-all \
	  quiet=verbose \
	  LIBDIR=$(LIBDIR) \
	  BASEDIR=$(D)-$(module)-modules \
	  cfg_prefix=$(D)-$(module)-modules \
	  doc-dir=share/doc/$(DEB_SOURCE)-$(module)-modules \
	  group_include="k$(grp)"
	# Eliminate duplicate libs.
	for d in $(DUP_LIBS_DIRS); do \
	  test "$$d" != "$(D)-$(module)-modules/usr/$(LIBDIR)/kamailio" && \
	  for r in `find $$d -name 'lib*' | xargs`; do \
	    echo "removing $(module) lib `basename $$r` present also in $$d"; \
	    rm -f $(D)-$(module)-modules/usr/$(LIBDIR)/kamailio/`basename "$$r"`; \
	  done ; \
	done
	# clean empty dirs
	find $(D)-$(module)-modules -depth -empty -type d -exec rmdir {} \;

$(INSTALL_EXTRA): test_install_all-stamp
	$(MAKE) install-modules-all \
	  quiet=verbose \
	  LIBDIR=$(LIBDIR) \
	  BASEDIR=$(D)-extra-modules \
	  cfg_prefix=$(D)-extra-modules \
	  doc-dir=share/doc/$(DEB_SOURCE)-extra-modules \
	  group_include="k$(subst install_,,$@)"
	# Eliminate duplicate extra libs.
	for d in $(DUP_LIBS_DIRS); do \
	  test "$$d" != "$(D)-extra-modules/usr/$(LIBDIR)/kamailio" && \
	  for r in `find $$d -name 'lib*' | xargs`; do \
	    echo "removing extra lib `basename $$r` present also in $$d"; \
	    rm -f $(D)-extra-modules/usr/$(LIBDIR)/kamailio/`basename "$$r"`; \
	  done ; \
	done
	# clean empty dirs
	find $(D)-extra-modules -depth -empty -type d -exec rmdir {} \;

%:
	dh $@

override_dh_auto_configure: configure-stamp
configure-stamp:
	$(MAKE) cfg \
	  quiet=verbose \
	  prefix=/usr \
	  cfg_prefix=$(D) \
	  cfg_target=/etc/kamailio/ \
	  FLAVOUR=kamailio \
	  BASEDIR=$(D) \
	  CC_EXTRA_OPTS="$(CC_EXTRA_OPTS)" \
	  LD_EXTRA_OPTS="$(LD_EXTRA_OPTS)" \
	  skip_modules="$(EXCLUDED_MODULES) $(EXTRA_EXCLUDED_MODULES)" \
	  group_include="kstandard"
	touch configure-stamp

override_dh_auto_build: $(BUILD_MODULES)

override_dh_auto_clean:
	if [ -r autover.h -a ! -r debian/autover.h ]; then cp -a autover.h debian/; fi
	dh_auto_clean -- maintainer-clean
	if [ -r debian/autover.h -a ! -r autover.h ]; then mv debian/autover.h .; fi
	rm -f configure-stamp test_build_all-stamp test_install_all-stamp

override_dh_auto_install: $(INSTALL_MODULES) $(INSTALL_EXTRA)
	# Move binaries of kamailio-berkeley-modules to kamailio-berkeley-bin.
	mkdir -p $(D)-berkeley-bin/usr/
	mv $(D)-berkeley-modules/usr/sbin \
	   $(D)-berkeley-bin/usr/
	# remove if empty
	-rm -r $(D)/usr/share/man/man7/

override_dh_installexamples:
	dh_installexamples -Xobsoleted -Xsr

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_installdocs:
	dh_installdocs -A doc/misc/AUTHORS

## kamailio 5.8.3

=== debian/changelog ===
kamailio (5.8.3-1build1) plucky; urgency=medium

  * No-change rebuild for libnats3.9

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 05 Nov 2024 21:24:26 +0000

kamailio (5.8.3-1) unstable; urgency=medium

  * New upstream version 5.8.3
  * patches from 5.8 since 5.8.3

 -- Victor Seva <vseva@debian.org>  Tue, 08 Oct 2024 08:56:35 +0200

kamailio (5.8.2-4) unstable; urgency=medium

  * remove app_mono (Closes: #1079882)

 -- Victor Seva <vseva@debian.org>  Thu, 29 Aug 2024 10:51:52 +0200

## kamailio 5.8.4

=== src/Makefile ===
# Kamailio makefile
#
# WARNING: requires gmake (GNU Make)
#  Arch supported: Linux, FreeBSD, SunOS (tested on Solaris 8), OpenBSD (3.2),
#  NetBSD (1.6), OS/X
#

# check make version
# everything works with 3.80, except evals inside ifeq/endif
# (see https://savannah.gnu.org/bugs/index.php?func=detailitem&item_id=1516).
# recommended 3.81
req_ver=3.81
# the check below works for version number of the type x.yy or x.yy.z*
# (from the GNU Make Cookbook)
ifeq (,$(filter $(req_ver),$(firstword $(sort $(MAKE_VERSION) $(req_ver)))))
$(error make version $(MAKE_VERSION) not supported, use at least $(req_ver))
endif


auto_gen=core/lex.yy.c core/cfg.tab.c #lexx, yacc etc
auto_gen_others=core/cfg.tab.h # auto generated, non-c
auto_gen_keep=core/autover.h # auto generated, should be included in archives

COREPATH=.
#include  source related defs
include Makefile.sources
#include special targets lists
include Makefile.targets

# whether or not the entire build process should fail if building a module or
#  a utility fails
err_fail?=1

# whether or not to install $(MAIN_NAME).cfg or just $(MAIN_NAME).cfg.default
# ($(MAIN_NAME).cfg will never be overwritten by make install, this is useful
#  when creating packages)
skip_cfg_install?=

#extra modules to exclude
skip_modules?=

# see Makefile.dirs for the directories used for the modules
include Makefile.dirs

# Set document format
# Alternatives are txt, html, xhtml, and pdf (see Makefile.doc)
doc_format?=html

# don't force modules.lst generation if the makefile goals do not
# require it (but if present use it)
ifeq (,$(strip $(filter-out $(clean_targets) $(aux_targets),$(MAKECMDGOALS))))
ifneq (,$(strip $(wildcard modules.lst)))
-include modules.lst
endif
else
include modules.lst
endif # ifneq (,$(strip $(filter-out ...,$(MAKECMDGOALS))))

#if called with group_include, ignore the modules from modules.lst
ifneq ($(group_include),)
	include_modules=
	exclude_modules=
	modules_configured:=0
endif

# get the groups of modules to compile
include Makefile.groups

# - automatically build the list of excluded modules
# if not set on the cmd. line, env or in the modules.lst (cfg_group_include)
# exclude the below modules.
ifneq ($(group_include)$(cfg_group_include),)
	# For group_include, default all modules are excluded except those in
	# include_modules
	exclude_modules?=
else
	# Old defaults for backwards compatibility
	# excluded because they depend on external libraries
ifeq ($(origin exclude_modules), undefined)
	exclude_modules:= $(sort \
				$(filter-out $(module_group_default), $(mod_list_all)))
endif
endif

# always add skip_modules list - it is done now in modules.lst (dcm)
# override exclude_modules+= $(skip_modules)

# Test for the groups and add to include_modules
ifneq (,$(group_include))
$(eval override include_modules+= $(foreach grp, $(group_include), \
										$(module_group_$(grp)) ))
endif

ALLDEP=config.mak Makefile Makefile.dirs Makefile.sources Makefile.rules

#include general defs (like CC, CFLAGS  a.s.o)
# hack to force makefile.defs re-inclusion (needed when make calls itself with
# other options -- e.g. make bin)
#makefile_defs=0
#C_DEFS:=


# try saved cfg, unless we are in the process of building it or if we're doing
# a clean
ifeq (,$(strip \
	$(filter config.mak config cfg cfg-defs $(clean_targets),$(MAKECMDGOALS))))
include config.mak
ifeq ($(makefile_defs),1)
ifeq ($(quiet),verbose)
$(info config.mak loaded)
endif # verbose
export makefile_defs
# config_make valid & used
config_mak=1
ifeq ($(MAIN_NAME),)
$(error "bad config.mak, try re-running make cfg")
endif
endif
else # config.mak doesn't need to be used
ifneq (,$(filter cfg config cfg-defs,$(word 1,$(MAKECMDGOALS))))
# needed here to avoid starting a config submake 
# (e.g. rm -f config.mak; make config.mak), which would either require 
# double Makefile.defs defines execution (suboptimal), would loose
# $(value ...) expansion or would cause some warning (if Makefile.defs exec. 
# is skipped in the "main" makefile invocation).
$(shell rm -rf config.mak)
config_mak=0
makefile_defs=0
exported_vars=0
else
# config.mak not strictly needed, but try to load it if exists for $(Q)
config_mak=skip
-include config.mak
export makefile_defs
endif
endif


main_makefile=1
include Makefile.defs

static_modules_path=$(addprefix modules/, $(static_modules))
extra_sources=$(wildcard $(addsuffix /*.c, $(static_modules_path)))
extra_objs=$(extra_sources:.c=.o)

static_defs:= $(foreach  mod, $(static_modules), \
		-DSTATIC_$(shell echo $(mod) | tr [:lower:] [:upper:]) )

override extra_defs+=$(static_defs) $(EXTRA_DEFS)
export extra_defs

# Historically, the resultant set of modules is: modules/* - exclude_modules +
# include_modules
# When group_include is used, we want: include_modules (based on group_include)
# - exclude_modules

ifneq ($(modules_configured),1) 
#modules_all=$(filter-out modules/CVS,$(wildcard modules/*))

# create modules*_all vars
$(foreach mods,$(modules_dirs),$(eval \
	$(mods)_all=$$(filter-out $(mods)/CVS,$$(wildcard $(mods)/*))))
#debugging
#$(foreach mods,$(modules_dirs),$(info "$(mods)_all=$($(mods)_all)"))

ifneq ($(group_include),)
$(foreach mods,$(modules_dirs),$(eval \
	$(mods)=$$(filter-out $$(addprefix $(mods)/, \
			$$(exclude_modules) $$(static_modules)), \
			$$(addprefix $(mods)/, $$(include_modules) )) ))
else	
	# Standard, old resultant set
$(foreach mods,$(modules_dirs),$(eval \
	$(mods)_noinc=$$(filter-out $$(addprefix $(mods)/, \
			$$(exclude_modules) $$(static_modules)), $$($(mods)_all)) \
))
$(foreach mods,$(modules_dirs),$(eval \
	$(mods)=$$(filter-out $$(modules_noinc), \
			$$(addprefix $(mods)/, $$(include_modules) )) $$($(mods)_noinc) \
))
endif # ifneq($(group_include),)
endif # ifneq($(modules_configured),1)

$(foreach mods,$(modules_dirs),$(eval \
	$(mods)_names=$$(shell echo $$($(mods))| \
				sed -e "s/$(mods)"'\/\([^/ ]*\)\/*/\1.so/g' ) \
))
$(foreach mods,$(modules_dirs),$(eval \
	$(mods)_basenames:=$$(shell echo $$($(mods))| \
				sed -e "s/$(mods)"'\/\([^/ ]*\)\/*/\1/g' ) \
))

# all modules from all the $(modules_dirs)
all_modules_lst=$(foreach mods,$(modules_dirs), $($(mods)_all))

# compile modules list (all the compiled mods from  $(modules_dirs))
cmodules=$(foreach mods,$(modules_dirs), $($(mods)))

#modules_names=$(patsubst modules/%, %.so, $(modules))
#modules_full_path=$(join  $(modules), $(addprefix /, $(modules_names)))



# list of utils directories that should be compiled by make utils
C_COMPILE_UTILS= # kamcmd is now installed by ctl
# list of binaries that should be installed alongside
# (they should be created after make utils, see C_COMPILE_UTILS)
C_INSTALL_BIN=	# kamcmd is now installed by ctl

# which utils know to install themselves and should be installed
# along the core (list of utils directories)
ifeq ($(FLAVOUR),kamailio)
C_INSTALL_UTILS= ../utils/kamctl
else
C_INSTALL_UTILS=
endif
# list of scripts that should be installed along the core 
# (here a script is something that doesn't have a Makefile)
C_INSTALL_SCRIPTS=
# list of extra configs that should be installed along the core
# Note: all the paths of the form /usr/*lib/$(CFG_NAME)/<module_dir>
# will be updated to the directory where the modules will be installed.
C_INSTALL_CFGS=
# list of files that should be installed in the arch-independent 
# directory (by default /usr/local/share/$(MAIN_NAME)))
C_INSTALL_SHARE=




NAME=$(MAIN_NAME)

tar_name=$(NAME)-$(RELEASE)_src

tar_extra_args+=$(addprefix --exclude=$(notdir $(CURDIR))/, \
					$(auto_gen) $(auto_gen_others))
ifeq ($(CORE_TLS), 1)
	tar_extra_args+=
else
	tar_extra_args+=--exclude=$(notdir $(CURDIR))/tls/* 
endif

ifneq ($(nodeb),)
	tar_extra_args+=--exclude=$(notdir $(CURDIR))/debian 
	tar_name:=$(tar_name)_nodeb
endif

# sanity checks
ifneq ($(TLS),)
        $(warning "make TLS option is obsoleted, try TLS_HOOKS or CORE_TLS")
endif

# include the common rules
include Makefile.rules

#extra targets

$(NAME): $(extra_objs) # static_modules

core/lex.yy.c: core/cfg.lex core/cfg.tab.h $(ALLDEP)
	$(LEX) -o core/lex.yy.c $<

core/cfg.tab.c core/cfg.tab.h: core/cfg.y  $(ALLDEP)
	$(YACC) $(YACC_FLAGS) $<

nullstring=
space=$(nullstring) $(nullstring)

modules_search_path=$(subst $(space),:,$(strip\
						$(foreach m,$(modules_dirs),$($(m)_target))))
		#				$(addprefix $(modules_target),$(modules_dirs))))

# special depends for main.o
main.o: DEFS+=-DMODS_DIR='"$(modules_search_path)"'


#special depends for ver.c
core/ver.d core/ver.o: core/autover.h

include Makefile.shared

ifeq ($(config_mak),1)

include Makefile.cfg

# fix basedir path (relative -> absolute)
ifneq (,$(basedir))
ifeq (,$(filter /%, $(basedir)))
override basedir:=$(CURDIR)/$(basedir)
# remove basedir from command line overrides
MAKEOVERRIDES:=$(filter-out basedir=%,$ $(MAKEOVERRIDES))
endif # (,$(filter /%, $(basedir)))
endif # (,$(basedir))

else ifneq ($(config_mak),skip)

config.mak: Makefile.defs Makefile.groups
	@echo making config...
	@echo "# this file is autogenerated by make cfg" >$@
	@$(call mapf2,cfg_save_var,saved_fixed_vars,$(@))
	@$(call mapf2,cfg_save_var2,saved_chg_vars,$(@))
	@echo "override makefile_defs:=1" >>$@
	@echo "C_DEFS:=\$$(filter-out \$$(DEFS_RM) \$$(extra_defs),\$$(C_DEFS))" \
					"\$$(extra_defs)"  >>$@
	@echo "CFLAGS:=\$$(filter-out \$$(CFLAGS_RM) \$$(CC_EXTRA_OPTS)," \
						"\$$(CFLAGS)) \$$(CC_EXTRA_OPTS)" >>$@

endif # ifeq ($(config_mak),1)

modules.lst: Makefile.groups
	@echo  saving modules list...
	@echo "# this file is autogenerated by make modules-cfg" >$@
	@echo >>$@
	@echo "# the list of sub-directories with modules" >>$@
	@echo "modules_dirs:=$(modules_dirs)" >>$@
	@echo >>$@
	@echo "# the list of module groups to compile" >>$@
	@echo "cfg_group_include=$(group_include)" >>$@
	@echo >>$@
	@echo "# the list of extra modules to compile" >>$@
	@$(call cfg_save_var2,include_modules,$@)
	@echo >>$@
	@echo "# the list of static modules" >>$@
	@$(call cfg_save_var2,static_modules,$@)
	@echo >>$@
	@echo "# the list of modules to skip from compile list" >>$@
	@$(call cfg_save_var2,skip_modules,$@)
	@echo >>$@
	@echo "# the list of modules to exclude from compile list" >>$@
	@$(call cfg_save_var3,exclude_modules,skip_modules,$@)
	@echo >>$@
	@$(foreach mods,$(modules_dirs), \
		$(call cfg_save_var2,$(mods)_all,$@))
	@$(foreach mods,$(modules_dirs), \
		$(call cfg_save_var2,$(mods)_noinc,$@))
	@$(foreach mods,$(modules_dirs), \
		$(call cfg_save_var2,$(mods),$@))
	@echo "modules_configured:=1" >>$@


.PHONY: cfg config cfg-defs
cfg-defs: config.mak

cfg config: cfg-defs modules-cfg

.PHONY: modules-cfg modules-list modules-lst
modules-cfg modules-list modules-lst:
	rm -f modules.lst
	$(MAKE) modules.lst

ifneq ($(wildcard ../.git),)
# if .git/ exists
repo_ver=$(shell  RV=`git rev-parse --verify --short=6 HEAD 2>/dev/null`;\
					[ -n "$$RV" ] && \
					test -n "`git update-index --refresh --unmerged >/dev/null\
							; git diff-index --name-only HEAD 2>/dev/null | \
								grep -v Makefile`" &&\
						RV="$$RV"-dirty; echo "$$RV")
repo_hash=$(subst -dirty,,$(repo_ver))
repo_state=$(subst %-dirty,dirty,$(findstring -dirty,$(repo_ver)))
autover_h_dep=../.git $(filter-out $(auto_gen), $(sources)) core/cfg.y core/cfg.lex Makefile
else
# else if .git/ does not exist
repo_ver=
repo_hash="unknown"
repo_state=
autover_h_dep=
endif


core/autover.h: $(autover_h_dep)
	@echo  "generating core/autover.h ..."
	@echo "/* this file is autogenerated by make core/autover.h" >$@
	@echo " * DO NOT EDIT IT" >>$@
	@echo " */" >>$@
	@echo "" >>$@
	@echo "#define REPO_VER \"$(repo_ver)\"" >>$@
	@echo "#define REPO_HASH \"$(repo_hash)\"" >>$@
	@echo "#define REPO_STATE \"$(repo_state)\"" >>$@

.PHONY: all
all: $(NAME) every-module

.PHONY: print-modules
print-modules:
	@echo The following modules were chosen to be included: \
		$(include_modules) ; \
	echo ---------------------------------------------------------- ; \
	echo The following modules will be excluded: $(exclude_modules) ; \

=== src/lib/presence/Makefile ===

# example library makefile
#

include ../../Makefile.defs
auto_gen=
NAME:=ser_presence
MAJOR_VER=0
MINOR_VER=1
BUGFIX_VER=0
DEFS+=-DSER
libxml2_includes=-I/usr/include/libxml2 -I$(LOCALBASE)/include/libxml2 \
					-I$(LOCALBASE)/include
libxml2_libs=-L$(LOCALBASE)/lib -lxml2
INCLUDES= -I$(CURDIR)/.. -I$(CURDIR)/../.. $(libxml2_includes) 
LIBS=$(libxml2_libs)
SERLIBPATH=..
SER_LIBS=$(SERLIBPATH)/cds/ser_cds

include ../../Makefile.libs

=== src/lib/xcap/Makefile ===

# example library makefile
#

include ../../Makefile.defs
auto_gen=
NAME:=ser_xcap
MAJOR_VER=0
MINOR_VER=1
BUGFIX_VER=0
DEFS+=-DSER
libxml2_includes=-I/usr/include/libxml2 -I$(LOCALBASE)/include/libxml2 \
					-I$(LOCALBASE)/include
libxml2_libs=-L$(LOCALBASE)/lib -lxml2
INCLUDES= -I$(CURDIR)/.. -I$(CURDIR)/../.. $(libxml2_includes) 
LIBS=$(libxml2_libs)
SERLIBPATH=..
SER_LIBS=$(SERLIBPATH)/cds/ser_cds

include ../../Makefile.libs

=== src/modules/avp/Makefile ===
#
# print example module makefile
#
# 
# WARNING: do not run this directly, it should be run by the main Makefile

include ../../Makefile.defs
auto_gen=
NAME=avp.so

include ../../Makefile.modules

=== src/modules/corex/Makefile ===
#
# WARNING: do not run this directly, it should be run by the main Makefile

include ../../Makefile.defs
auto_gen=
NAME=corex.so
LIBS=

include ../../Makefile.modules

=== src/modules/cplc/Makefile ===
#
# WARNING: do not run this directly, it should be run by the main Makefile

include ../../Makefile.defs
auto_gen=
NAME=cplc.so

ifeq ($(CROSS_COMPILE),)
XML2CFG=$(shell which xml2-config)
ifeq ($(XML2CFG),)
XML2CFG=$(shell \
	if pkg-config --exists libxml-2.0; then \
		echo 'pkg-config libxml-2.0'; \
	fi)
endif
endif

ifneq ($(XML2CFG),)
	DEFS += $(shell $(XML2CFG) --cflags )
	LIBS += $(shell $(XML2CFG) --libs)
else
	DEFS +=-I$(LOCALBASE)/include/libxml2 \
		-I$(LOCALBASE)/include  # iconv.h
	LIBS += -L$(LOCALBASE)/lib -lxml2
endif

SERLIBPATH=../../lib
SER_LIBS+=$(SERLIBPATH)/srdb1/srdb1
include ../../Makefile.modules

=== src/modules/db_mysql/Makefile ===
#
# WARNING: do not run this directly, it should be run by the main Makefile

include ../../Makefile.defs
auto_gen=
NAME=db_mysql.so

# set CROSS_COMPILE to true if you want to skip
# the autodetection
# CROSS_COMPILE=true

ifeq ($(CROSS_COMPILE),)
MYSQLCFG=$(shell which mysql_config)
ifeq ($(MYSQLCFG),)
MYSQLCFG=$(shell which mysql_config5)
endif
# If no Mysql - do we have MariaDB?
ifeq ($(MYSQLCFG),)
MYSQLCFG=$(shell which mariadb_config)
endif
endif

ifneq ($(MYSQLCFG),)
	# use autodetection
	DEFS += $(shell $(MYSQLCFG) --include)
	LIBS = $(shell $(MYSQLCFG) --libs)
else
	# mysql.h locations (freebsd,openbsd  solaris)
	DEFS +=-I$(LOCALBASE)/include \
		-I$(LOCALBASE)/include/mysql \
		-I$(LOCALBASE)/mysql/include
	# libmysqlclient locations on RH/Suse, Solaris /OpenBSD, FreeBSD
	# (Debian does the right thing and puts it in /usr/lib)
	LIBS=-L$(LOCALBASE)/lib -L$(LOCALBASE)/lib/mysql \
		-L$(LOCALBASE)/mysql/lib/mysql/ \
		-L$(LOCALBASE)/mysql/lib \
		-lmysqlclient -lz
endif

SERLIBPATH=../../lib
SER_LIBS=$(SERLIBPATH)/srdb2/srdb2 $(SERLIBPATH)/srdb1/srdb1
ifneq (,$(filter sip-router ser, $(INSTALL_FLAVOUR)))
MOD_INSTALL_SHARE= ../../scripts/mysql/my_create.sql \
				   ../../scripts/mysql/my_data.sql   \
				   ../../scripts/mysql/my_drop.sql
else ifeq ($(INSTALL_FLAVOUR),kamailio)
#TODO
endif

include ../../Makefile.modules

ifneq (,$(filter sip-router ser, $(INSTALL_FLAVOUR)))
# extra install for ser and sip-router

install-mysql-script: $(bin_prefix)/$(bin_dir)
	sed -e "s#^DEFAULT_SCRIPT_DIR.*#DEFAULT_SCRIPT_DIR=\"$(share_prefix)/$(share_dir)\"#g" \
	< ../../../misc/scripts/mysql/$(SCR_NAME)_mysql.sh > \
	$(bin_prefix)/$(bin_dir)/$(MAIN_NAME)_mysql.sh
	chmod 755 $(bin_prefix)/$(bin_dir)/$(MAIN_NAME)_mysql.sh

install-scripts: install-mysql-script

else ifeq ($(INSTALL_FLAVOUR),kamailio)
# extra install for kamailio

install-mysql-scripts: $(bin_prefix)/$(bin_dir)
		MYSQLON=yes $(MAKE) -C ../../../utils/kamctl/ install-modules

install-scripts: install-mysql-scripts

endif # INSTALL_FLAVOUR

=== src/modules/db_perlvdb/Makefile ===
#
# WARNING: do not run this directly, it should be run by the main Makefile

include ../../Makefile.defs
auto_gen=
NAME=db_perlvdb.so
ifeq ($(PERLLDOPTS),)
	LIBS:=$(shell perl -MExtUtils::Embed -e ldopts)
else
	LIBS+=$(PERLLDOPTS)
endif
PERL_DEFS:=$(shell perl -MExtUtils::Embed -e ccopts)
DEFS+=$(PERL_DEFS)

SERLIBPATH=../../lib
SER_LIBS+=$(SERLIBPATH)/srdb1/srdb1
include ../../Makefile.modules

=== src/modules/db_postgres/Makefile ===
#
# WARNING: do not run this directly, it should be run by the main Makefile

include ../../Makefile.defs
auto_gen=
NAME=db_postgres.so

# set CROSS_COMPILE to true if you want to skip
# the autodetection
# CROSS_COMPILE=true

ifeq ($(CROSS_COMPILE),)
LIBPQ_BUILDER = $(shell \
	if pkg-config --exists libpq; then \
		echo 'pkg-config libpq'; \
	fi)
ifneq ($(LIBPQ_BUILDER),)
	DEFS += $(shell $(LIBPQ_BUILDER) --cflags)
	LIBS += $(shell $(LIBPQ_BUILDER) --libs)
endif
endif

ifeq ($(LIBPQ_BUILDER),)

ifeq ($(CROSS_COMPILE),)
PGCFG=$(shell which pg_config)
endif

ifneq ($(PGCFG),)
	# use autodetection
	DEFS += -I$(shell $(PGCFG) --includedir)
	LIBS += -L$(shell $(PGCFG) --libdir) -lpq
else
	# use standard know paths
	# libpq-fe.h locations
	DEFS +=-I$(LOCALBASE)/include -I$(LOCALBASE)/pgsql/include \
		-I$(SYSBASE)/include/pgsql -I$(SYSBASE)/include/postgresql \
		-I$(SYSBASE)/include/postgresql/8.0
	LIBS +=-L$(LOCALBASE)/lib -L$(LOCALBASE)/pgsql/lib \
		-L$(LOCALBASE)/lib/pgsql -lpq
endif

endif

SERLIBPATH=../../lib
SER_LIBS=$(SERLIBPATH)/srdb2/srdb2 $(SERLIBPATH)/srdb1/srdb1

include ../../Makefile.modules

ifeq ($(INSTALL_FLAVOUR),kamailio)
# extra install for kamailio

install-pgsql-scripts: $(bin_prefix)/$(bin_dir)
		PGSQLON=yes $(MAKE) -C ../../../utils/kamctl/ install-modules

install-scripts: install-pgsql-scripts

endif # INSTALL_FLAVOUR

=== src/modules/db_redis/Makefile ===
#
# WARNING: do not run this directly, it should be run by the main Makefile

include ../../Makefile.defs
auto_gen=
NAME=db_redis.so

ifeq ($(CROSS_COMPILE),)
HIREDIS_BUILDER = $(shell \
	if pkg-config --exists hiredis; then \
		echo 'pkg-config hiredis'; \
	fi)

HIREDIS_CLUSTER_BUILDER = $(shell \
	if pkg-config --exists hiredis_cluster; then \
		echo 'pkg-config hiredis_cluster'; \
	fi)

endif

ifeq ($(HIREDIS_BUILDER),)
	HIREDISDEFS=-I$(LOCALBASE)/include -I$(LOCALBASE)/include/hiredis -I/usr/include/hiredis
	HIREDISLIBS=-L$(LOCALBASE)/lib -lhiredis
	ifneq ($(shell ls $(LOCALBASE) | grep libhiredis_ssl.so),)
		HIREDISDEFS += -DWITH_SSL
		HIREDISLIBS += -lhiredis_ssl
	endif
else
	HIREDISDEFS = $(shell $(HIREDIS_BUILDER) --cflags)
	HIREDISLIBS = $(shell $(HIREDIS_BUILDER) --libs)
	HIREDISLIBSPATH = $(shell $(HIREDIS_BUILDER) --libs-only-L | cut -c 3-)
    ifeq ($(HIREDISLIBSPATH),)
        GCCSEARCHDIRS = $(shell $(CC) -print-search-dirs | grep -Eo '^.*libraries: =.*' | cut -d "=" -f2- | tr : ' ')
        ifneq ($(shell find $(GCCSEARCHDIRS) -name libhiredis_ssl.so 2>/dev/null),)
		    HIREDISDEFS += -DWITH_SSL
		    HIREDISLIBS += -lhiredis_ssl
        endif
    else
        ifneq ($(shell ls $(HIREDISLIBSPATH) | grep libhiredis_ssl.so),)
		HIREDISDEFS += -DWITH_SSL
		HIREDISLIBS += -lhiredis_ssl
        endif
    endif

ifeq (,$(findstring hiredis,$(HIREDISDEFS)))
	DEFS+=-DWITH_HIREDIS_PATH
endif

ifeq ($(HIREDISLIBS),-L -lhiredis)
		HIREDISDEFS = $(shell $(HIREDIS_BUILDER) --cflags) /opt/local/include
		HIREDISLIBS = -L/opt/local/lib -lhiredis
		ifneq ($(shell ls /opt/local/lib | grep libhiredis_ssl.so),)
			HIREDISDEFS += -DWITH_SSL
			HIREDISLIBS += -lhiredis_ssl
		endif
endif

endif

DEFS+=$(HIREDISDEFS)
LIBS=$(HIREDISLIBS)

ifneq ($(HIREDIS_CLUSTER_BUILDER),)
	HIREDISCLUSTERDEFS = $(shell $(HIREDIS_CLUSTER_BUILDER) --cflags)
	HIREDISCLUSTERLIBS = $(shell $(HIREDIS_CLUSTER_BUILDER) --libs)
	HIREDISCLUSTERLIBSPATH = $(shell $(HIREDIS_CLUSTER_BUILDER) --libs-only-L | cut -c 3-)
	ifneq ($(shell ls $(HIREDISCLUSTERLIBSPATH) | grep libhiredis_ssl.so),)
		HIREDISCLUSTERDEFS += -DWITH_SSL
		HIREDISCLUSTERLIBS += -lhiredis_ssl
	endif
	DEFS+=-DWITH_HIREDIS_CLUSTER
	DEFS+=$(HIREDISCLUSTERDEFS)
	LIBS+=$(HIREDISCLUSTERLIBS)
endif

SERLIBPATH=../../lib
SER_LIBS=$(SERLIBPATH)/srdb2/srdb2 $(SERLIBPATH)/srdb1/srdb1

include ../../Makefile.modules

install-redis-scripts: $(bin_prefix)/$(bin_dir)
	REDISON=yes $(MAKE) -C ../../../utils/kamctl/ install-modules

install-scripts: install-redis-scripts

=== src/modules/db_sqlite/Makefile ===
#
# WARNING: do not run this directly, it should be run by the main Makefile

include ../../Makefile.defs
auto_gen=
NAME=db_sqlite.so

# sqlite3.h locations (freebsd,openbsd  solaris)
DEFS += -I$(LOCALBASE)/include

# libodbc locations on RH/Suse, Solaris /OpenBSD, FreeBSD
# (Debian does the right thing and puts it in /usr/lib)
LIBS= -L$(LOCALBASE)/lib -lsqlite3

SERLIBPATH=../../lib
SER_LIBS+=$(SERLIBPATH)/srdb1/srdb1
include ../../Makefile.modules

ifeq ($(INSTALL_FLAVOUR),kamailio)
# extra install for kamailio

install-sqlite-scripts: $(bin_prefix)/$(bin_dir)
	SQLITEON=yes $(MAKE) -C ../../../utils/kamctl/ install-modules

install-scripts: install-sqlite-scripts

endif # INSTALL_FLAVOUR

=== src/modules/dialog/Makefile ===
#
# WARNING: do not run this directly, it should be run by the main Makefile

include ../../Makefile.defs
auto_gen=
NAME=dialog.so
LIBS=

SERLIBPATH=../../lib
SER_LIBS+=$(SERLIBPATH)/srdb1/srdb1
include ../../Makefile.modules

=== debian/changelog ===
kamailio (5.8.4-1build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2025 05:24:43 +0100

kamailio (5.8.4-1) unstable; urgency=medium

  * New upstream version 5.8.4
  * remove already applied patches

 -- Victor Seva <vseva@debian.org>  Fri, 15 Nov 2024 19:55:10 +0100

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,6 @@
  libmicrohttpd-dev,
  libmnl-dev,
  libmongoc-dev,
- libmono-2.0-dev [amd64 armel armhf i386 mipsel kfreebsd-amd64 kfreebsd-i386 ppc64 ppc64el s390x],
  libmosquitto-dev,
  libnats-dev,
  libncurses-dev,
@@ -81,7 +80,6 @@
  kamailio-cpl-modules,
  kamailio-ldap-modules,
  kamailio-lua-modules,
- kamailio-mono-modules,
  kamailio-mysql-modules,
  kamailio-perl-modules,
  kamailio-postgres-modules,
@@ -108,7 +106,7 @@
  behaviour. It's easy to integrate Kamailio with 3rd party API's and
  applications using HTTP, AMQP, database drivers, LDAP, Radius and many other
  solutions. In addition there is support for scripting using Lua, Python, Perl,
- Java and a set of other languages using Mono.
+ Java.
  .
  Kamailio's modular architecture allows only required functionality to be
  loaded. There are over 100 modules available: WebSockets for WebRTC,
@@ -229,23 +227,6 @@
  execute embedded Lua applications within the configuration file as
  well as writing the entire configuration file in Lua.
 
-Package: kamailio-mono-modules
-Architecture: amd64 armel i386 mipsel powerpc powerpcspe ppc64 s390x
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends},
-Depends:
- kamailio (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Description: app_mono module for the Kamailio SIP server
- Kamailio is a very fast and flexible SIP (RFC3261)
- server. Written entirely in C, Kamailio can handle thousands calls
- per second even on low-budget hardware.
- .
- This package provides the app_mono module, an extension allowing to
- execute embedded Mono applications within the Kamailio SIP routing script.
-
 Package: kamailio-python3-modules
 Architecture: any
 Multi-Arch: same
@@ -391,3 +372,24 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Description: SIP presence modules for Kamailio
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides several Kamailio modules for implementing a presence
+ server and presence user agent for rich presence, registrar-based presence,
+ external triggered presence with SIMPLE and XCAP support, as well as a
+ set of other SIP event packages..
+
+Package: kamailio-perl-modules
+Architecture: any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Perl extensions and database driver for the Kamailio SIP server
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,7 @@
 
 # Modules not in the "main" kamailio package:
 EXCLUDED_MODULES =
+EXCLUDED_MODULES += mono
 
 # Extra modules to skip, because they are not compilable now:
 # - regardless if they go to the main kamailio package or to some module
@@ -84,13 +85,6 @@
 EXTRA_GROUPS += uuid
 EXTRA_GROUPS += http_async
 
-# Mono not on all arches
-ifneq ("$(wildcard /usr/share/mono/mono-archs.make)","")
-PACKAGE_GROUPS += mono
-else
-EXCLUDED_MODULES += mono
-endif
-
 # libsecsipid not on all arches
 ifneq ("$(wildcard /usr/share/doc/libsecsipid-dev/copyright)","")
 PACKAGE_GROUPS += secsipid
